url = "ftp://ftp.wwpdb.org/pub/pdb/data/monomers/"
aminoacids = []

File.open ARGV[0] do |f|
  f.each_line do |line|
    if line =~ /^ATOM/
      aminoacids << line[17...20] 
    end
  end
end

aminoacids.uniq.each do |acid|
  unless File.exists? acid
    `wget #{url + acid}`
  end
end

File.open "config", "w+" do |f|
  cons = Dir["???"]
  f.puts cons.length
  f.puts cons.join "\n"
end
