varying float depth_top;
varying float use_depth;

uniform float depth_displacement;

void main(void)
{
	float r2;
	float depth, depth_scale;

	r2 = dot(gl_TexCoord[0].xy, gl_TexCoord[0].xy);
	if (r2 > 1.0)
		discard;

  gl_FragColor = gl_Color;

	depth_scale = gl_FragCoord.z - depth_top;
  depth = sqrt(1.0 - r2);
	gl_FragDepth = gl_FragCoord.z - (depth_scale * depth * depth_displacement);
}
